<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Each</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        .azul {
            color: cornflowerblue;
        }

        div {
            margin: 10px;
            border: 2px cornflowerblue solid;
            background-color: chocolate;
            font-size: 1.5em;
        }
    </style>
</head>

<body>
    Escribe el numero de parrafos que cambiaran su color de letra: <input type="number" id="numero">
    <button>Colorear</button>
    <div class="container">
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
        <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eius ab nihil illum incidunt corrupti natus
            perferendis
            sequi minima? Assumenda dicta vero impedit sapiente quos quasi sunt animi voluptas maiores possimus!</p>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $('button').click(function () {
            let numero = $('#numero').val();
            $('p').removeClass('azul');
            $('p').each(function (i, element) {
                if (numero > i) {
                    console.log(i);
                    $(element).addClass('azul');
                };
            });
        });
    </script>
</body>

</html>